function dist_des0i=draw_tracked_feature(Image_features, ID)

min_count=240;   % start frame            
max_count=275;   % end frame
Rmin=60;
Rmax=200;  
Nmax = 720;
counter = 0;
found = 0;
dist_des0i = [];

for count = min_count : 1 : max_count         
    
% open the right image
    counter = counter + 1 ;
    basename='../V3_Matching_and_Tracking/RawImages/image';
    format='jpg';     
    filename=sprintf('%s%d.%s',basename,count,format);
    disp( sprintf('Opening %s',filename));
    % opening in the right format
    image=double(imread(filename));
    xc = Image_features(counter).Centre.X_centre;
    yc = Image_features(counter).Centre.Y_centre;
    
% Look for the vertical tha has the ID we want
    vertical_features = Image_features(counter).Vertical_Line; %verticals in the current frame
    ind = [];
    for i = 1:length(vertical_features)
        if ( vertical_features(i).ID_Real_Vertical_Features == ID )
            ind = i;
        end
    end
    if isempty(ind) continue; end;
     found = found +1; %this variable is equal to 1 only when the first occurrence is found
     
% select the vertical and its angle    
    vertical  = vertical_features(ind);
    angle = vertical.Angle;
    
% Draw the called tracked feature    
    figure(1); imagesc(image); colormap(gray)
    drawfeatures(image,xc,yc,angle,ID);
    drawnow;
    
% compare descriptor ID at t0 with ti
    if found == 1;
        des0 = vertical.descriptor; %descriptor at t0
        desi = vertical.descriptor;
    else
        desi = vertical.descriptor; %descriptor at ti
    end
    dist_des0i = [dist_des0i ; sqrt(sum((des0-desi).^2))];
    
end
