function Gradient = getgradient(image)

image = double(image);
wx = [-1 -2 -1;0 0 0;1 2 1];                                  % Filtre pour la recherche du gradient horizontal (Sobel)
wy = wx';                                                     % Filtre pour la recherche du gradient vertical (Sobel)


grad_x = conv2(image,wx,'same');                                      % recherche du gradient de l'image C, ceci par convolution avec le filtre de Sobel (horizontal) 
grad_y = conv2(image,wy,'same');                                      % recherche du gradient de l'image C, ceci par convolution avec le filtre de Sobel (vertical) 
                                     % matrice de zero de la taille des images

mag = sqrt(grad_x.^2+grad_y.^2);                                  % magnitude du gradient

Gradient.Angle = atan2(grad_y,grad_x);                          % angle de chaque gradient (angle qui correspond  la valeur max du gradient pour le pixel considerer)
Gradient.Long = mag;                                            % angle de chaque gradient (angle qui correspond  la valeur max du gradient pour le pixel considerer)