%-------------------------------------------------------------------------%
%%% Initialize %%%%
%-------------------------------------------------------------------------%

parameters.number_of_pattern_for_one_feat = 3;
parameters.Centre.X_centre = 233; %Coordinates of the image center
parameters.Centre.Y_centre = 303;
parameters.Rmin = 95;
parameters.Rmax = 170;
parameters.Pat_Window = 35; %size of the square window prior Gaussian smoothing
parameters.N_bins = 32; %Number of bins for the histogram

descriptor_length = 2 * parameters.N_bins * parameters.number_of_pattern_for_one_feat;
dmax = descriptor_length -1;
for i = 1 : descriptor_length
    for j = 1 : descriptor_length
        A(i,j) = 1-abs(i-j)/dmax;
    end
end
parameters.A = A;
        
    