%similarity_matrix
function dist_matrix_descriptors = similarity_matrix( descriptor_matrix1, descriptor_matrix2, parameters )

numb_descriptors1 = size( descriptor_matrix1, 1 );
numb_descriptors2 = size( descriptor_matrix2, 1 );

dist_matrix_descriptors = [];
dist_matrix_intensity = [];
dist_quad_matrix = [];

for i = 1:numb_descriptors1,
    for j = 1:numb_descriptors2
        %compute L2 norm descriptors
        dist_matrix_descriptors(i,j) = sqrt(sum((descriptor_matrix1(i,:)-descriptor_matrix2(j,:)).^2));
        %compute L2 norm intensity        
%        dist_matrix_intensity(i,j) = sqrt(sum((intensity_matrix1(i,:)-intensity_matrix2(j,:)).^2));
        %compute QUADRATIC-FORM DISTANCE
%        h_k = (descriptor_matrix1(i,:)-descriptor_matrix2(j,:));
%        dist_quad_matrix(i,j) = sqrt( h_k * parameters.A * h_k' );
    end
end