function draw_verticals(verticals, parameters, color)

if nargin < 3
    color = 'b';
end

centre_x = parameters.Centre.X_centre;           % coordonnee X du centre de l'image
centre_y = parameters.Centre.Y_centre;  
width = parameters.width;
height = parameters.height;

for i = 1:length(verticals)
    theta(i) = verticals(i).Angle;
end

hold on;
for i=1: length(theta)          % on va tracer autant de ligne qu'il y a d'angle
   if theta(i)<=pi/2 & theta(i)>-pi/2
      plot([centre_y, centre_y-height*tan(theta(i))],[centre_x,centre_x-height],color,'LineWidth',2);       %Create line object
   else 
      plot([centre_y, centre_y+height*tan(theta(i))],[centre_x,centre_x+height],color,'LineWidth',2);
   end
end
hold off;