% fonction qui va dessiner une ligne centree en x;y d'angle theta sur l'image a

function h=drawline(a,centre_x,centre_y,theta)
% a: image sur laquelle on souhaite dessiner une ligne 
% centre_x: centre de l'image selon x
% centre_y: centre de l'image selon y
% theta: Angle qu'aura la ligne par rapport a l'axe des x



imagesc(a);                     % The imagesc function scales image data to the full range of the current colormap and displays the image. 
colormap(gray);                 % colormapeditor displays the current figure's colormap as a strip of rectangular cells in the colormap editor. 

[height,width]=size(a);

for i=1: length(theta)          % on va tracer autant de ligne qu'il y a d'angle
   if theta(i)<=pi/2 | theta(i)>3/2*pi
      line([centre_y, centre_y-height*tan(theta(i))],[centre_x,centre_x-height]);       %Create line object
   else 
      line([centre_y, centre_y+height*tan(theta(i))],[centre_x,centre_x+height]);
   end
end
