function int = get_intensity(image, parameters)

centre_x = parameters.Centre.X_centre;
centre_y = parameters.Centre.Y_centre;
center = [centre_y, centre_x];
Rmin = parameters.Rmin;
Rmax = parameters.Rmax;

int = double(fliplr(imunwrap(image, center, Rmax, Rmin, 0, 360)'));

for i=1:size(int(:,1))
    if norm(int(i,:))
        int(i,:) = int(i,:);%/norm(int(i,:));
    else
        int(i,:) = 0;
    end
end